# Component: AccessPolicy
# Author: Abdul Nizam
#
# Control access for workloads in your service mesh.
# For example, you might want to enforce a “zero trust” network model for all of your services.
# In your workspace settings, you can enable service isolation so that only services within the same workspace (or imported workspaces) can communicate with each other.
# For even more control, you can set up access policies.
# With access policies, you can deny all access to a specific destination except for the clients that you explicitly allow.

apiVersion: security.policy.gloo.solo.io/v2
kind: AccessPolicy
metadata:
  name: access-policy-basic
  namespace: freniz
spec:
  applyToWorkloads:
    - selector:
        labels:
          app: ratings
  config:
    authn:
      tlsMode: STRICT
    authz:
      allowedClients:
      - serviceAccountSelector:
          labels:
            account: details
      allowedPaths:
      - /ratings
